## rhid15as.zip

=== Makefile ===
# Copyright (C) 1996-2001 Robert Hhne, see COPYING.RH for details 
# This file is part of RHIDE. 
-include config.env
ifeq ($(strip $(RHIDESRC)),)
error!! You have to set the variable RHIDESRC
endif

_srcdir=$(RHIDESRC)
include $(_srcdir)/makefile.src

=== debobj/Makefile ===
# Copyright (C) 1996-1998 Robert Hhne, see COPYING.RH for details 
# This file is part of RHIDE. 
-include ../config.env
ifeq ($(strip $(RHIDESRC)),)
error!! You have to set the variable RHIDESRC
endif

_srcdir=$(RHIDESRC)/debobj
include $(_srcdir)/makefile.src

=== doc/Makefile ===
# Copyright (C) 1996-1998 Robert Hhne, see COPYING.RH for details 
# This file is part of RHIDE. 
-include ../config.env
ifeq ($(strip $(RHIDESRC)),)
error!! You have to set the variable RHIDESRC
endif

_srcdir=$(RHIDESRC)/doc
include $(_srcdir)/makefile.src

=== include/Makefile ===
# Copyright (C) 1996-1998 Robert Hhne, see COPYING.RH for details 
# This file is part of RHIDE. 
-include ../config.env
ifeq ($(strip $(RHIDESRC)),)
error!! You have to set the variable RHIDESRC
endif

_srcdir=$(RHIDESRC)/include
include $(_srcdir)/makefile.src

=== libgdb/Makefile ===
# Copyright (C) 1996-1998 Robert Hhne, see COPYING.RH for details 
# This file is part of RHIDE. 
-include ../config.env
ifeq ($(strip $(RHIDESRC)),)
error!! You have to set the variable RHIDESRC
endif

_srcdir=$(RHIDESRC)/libgdb
include $(_srcdir)/makefile.src

=== libide/Makefile ===
# Copyright (C) 1996-1998 Robert Hhne, see COPYING.RH for details 
# This file is part of RHIDE. 
-include ../config.env
ifeq ($(strip $(RHIDESRC)),)
error!! You have to set the variable RHIDESRC
endif

_srcdir=$(RHIDESRC)/libide
include $(_srcdir)/makefile.src

=== librhgdb/Makefile ===
# Copyright (C) 1996-1998 Robert Hhne, see COPYING.RH for details 
# This file is part of RHIDE. 
-include ../config.env
ifeq ($(strip $(RHIDESRC)),)
error!! You have to set the variable RHIDESRC
endif

_srcdir=$(RHIDESRC)/librhgdb
include $(_srcdir)/makefile.src

=== librhuti/Makefile ===
# Copyright (C) 1996-1998 Robert Hhne, see COPYING.RHU for details 
-include ../../config.env
ifeq ($(strip $(RHIDESRC)),)
error!! You have to set the variable RHIDESRC
endif

_srcdir=$(RHIDESRC)/librhuti
include $(_srcdir)/makefile.src

=== libtvgdb/Makefile ===
# Copyright (C) 1996-1998 Robert Hhne, see COPYING.RH for details 
# This file is part of RHIDE. 
-include ../config.env
ifeq ($(strip $(RHIDESRC)),)
error!! You have to set the variable RHIDESRC
endif

_srcdir=$(RHIDESRC)/libtvgdb
include $(_srcdir)/makefile.src

=== libtvuti/Makefile ===
# Copyright (C) 1996-1998 Robert Hhne, see COPYING.RH for details 
# This file is part of RHIDE. 
-include ../config.env
ifeq ($(strip $(RHIDESRC)),)
error!! You have to set the variable RHIDESRC
endif

_srcdir=$(RHIDESRC)/libtvuti
include $(_srcdir)/makefile.src

=== nodebobj/Makefile ===
# Copyright (C) 1996-1998 Robert Hhne, see COPYING.RH for details 
# This file is part of RHIDE. 
-include ../config.env
ifeq ($(strip $(RHIDESRC)),)
error!! You have to set the variable RHIDESRC
endif

_srcdir=$(RHIDESRC)/nodebobj
include $(_srcdir)/makefile.src

=== po/Makefile ===
# Copyright (C) 1996-1998 Robert Hhne, see COPYING.RH for details 
# This file is part of RHIDE. 
-include ../config.env
ifeq ($(strip $(RHIDESRC)),)
error!! You have to set the variable RHIDESRC
endif

_srcdir=$(RHIDESRC)/po
include $(_srcdir)/makefile.src

=== debian/changelog ===
rhide (1.5.0+cvs.20040529-1) unstable; urgency=low

  * Initial Release.

 -- Baurjan Ismagulov <ibr@ata.cs.hun.edu.tr>  Fri, 28 May 2004 00:13:36 +0200

=== debian/control ===
Source: rhide
Section: devel
Priority: optional
Maintainer: Baurjan Ismagulov <ibr@ata.cs.hun.edu.tr>
Build-Depends: debhelper (>= 4.0.0), libset-dev
Standards-Version: 3.6.0

Package: rhide
Architecture: any
Depends: ${shlibs:Depends}
Description: An Integrated Development Environment
 An Integrated Development Environment.
 .
 THIS IS NOT AN OFFICIAL PACKAGE AND IS NOT PART OF THE DEBIAN DISTRIBUTION.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.status: configure
	dh_testdir
	# Ensure we have the gdb sources.
	ls -d ../gdb-5.3
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" SETSRC=/usr/include/setedit SETOBJ=/usr/lib \
		./configure --host=$(DEB_HOST_GNU_TYPE) \
		--build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr i\
		--mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info


#Architecture
build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp:  config.status
	$(MAKE)
	touch build-arch-stamp

build-indep: build-indep-stamp
build-indep-stamp:  config.status
	# Add here commands to compile the indep part of the package.
	#$(MAKE) doc
	touch build-indep-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp config.status
	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	dh_clean

install: install-indep install-arch
install-indep:
	#dh_testdir
	#dh_testroot
	#dh_installdirs -i
	#dh_install -i

install-arch:
	dh_testdir
	dh_testroot
	dh_installdirs -s
	$(MAKE) install prefix=$(CURDIR)/debian/tmp/usr
	dh_install -s

# Must not depend on anything. This is to be called by
# binary-arch/binary-indep
# in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate	
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture independant packages using the common target.
binary-indep: build-indep install-indep
	#$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build-arch install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch
